using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class ProductsAccess  : Daolite.BusinessAccess
	{

		public  ProductsAccess() : base("Products", NwindConfiger.GetConfiger())
		{
		}


		public Products[] Query()
		{
			return base.Query<Products>();
		}


		public Products[] QueryRelated()
		{
			return base.QueryRelated<Products>();
		}


		public Products QueryOne(long ProductID, bool isRelated)
		{
			return base.QueryOne<Products>(new Daolite.DataStruct.KeyPairs()
			.Add("ProductID", ProductID)
			, isRelated);
		}


	}
}
